#include <stdlib.h>
#include <string.h>
#include <avr/io.h>
#include <avr/interrupt.h>
#include <avr/pgmspace.h>
#include <avr/wdt.h>
#include <util/delay.h>

#define bit_set(port,bit)       { port |= (1<<(bit));}
#define bit_clear(port,bit)     { port &= ~(1<<(bit));}
#define min(a,b)                ((a)<(b) ? (a):(b))

#define nop()   __asm__ volatile ("nop" )
#define wdr()   __asm__ volatile("wdr" )
#define sleep()   __asm__ volatile("sleep" )


uint8_t t_ldd(uint8_t a, uint8_t *p) {
	a <<= 1;
	return p[3];
}

uint8_t t_std(uint8_t a, uint8_t *p) {
	a <<= 1;
	p[3] = a;
	return p[1];
}
